<?php

/**
 * @file
 * PageFlip module administrative interface.
 */


/**
 * Build our admin settings form.
 */
function pageflip_settings_form($form_state) {
  $form = array();

  $presets = array(0 => t('Do not use an ImageCache preset.'));
  if (module_exists('imagecache')) {
    foreach (imagecache_presets() as $preset) {
      $presets[$preset['presetid']] = $preset['presetname'];
    }
  }
  $form['pageflip_low_resolution_preset'] = array(
    '#type' => 'select',
    '#title' => t('Low resolution image preset'),
    '#options' => $presets,
    '#default_value' => variable_get('pageflip_low_resolution_preset', 0),
  );
  $form['pageflip_high_resolution_preset'] = array(
    '#type' => 'select',
    '#title' => t('High resolution image preset'),
    '#options' => $presets,
    '#default_value' => variable_get('pageflip_high_resolution_preset', 0),
  );

  // @todo: Maximum ad pages inside front cover?
  // @todo: Maximum ad pages inside back cover?
  return system_settings_form($form);
}
